Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.visualizers
Class MailerVisualizer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.apache.jmeter.gui.AbstractJMeterGuiComponent
                          org.apache.jmeter.visualizers.gui.AbstractListenerGui
                              org.apache.jmeter.visualizers.gui.AbstractVisualizer
                                  org.apache.jmeter.visualizers.MailerVisualizer

All Implemented Interfaces:
  Accessible, ActionListener, ChangeListener, Clearable, EventListener, ImageObserver, JMeterGUIComponent, MenuContainer, Printable, Serializable, UnsharedComponent, Visualizer

public class MailerVisualizer
extends AbstractVisualizer
implements ActionListener, Clearable, ChangeListener

This class implements a visualizer that mails a message when an error occurs.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class org.apache.jmeter.visualizers.gui.AbstractVisualizer
`collector, isStats`

Fields inherited from class org.apache.jmeter.gui.AbstractJMeterGuiComponent
`namePanel`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MailerVisualizer()` Constructs the MailerVisualizer and initializes its GUI.

Method Summary
`void` | `actionPerformed(ActionEvent e)` Reacts on an ActionEvent (like pressing a button).
`void` | `add(SampleResult res)` This method is called by sampling thread to inform the visualizer about the arrival of a new sample.
`void` | `clearData()` Clears any stored sampling-informations.
`void` | `configure(TestElement el)` Restores MailerVisualizer.
`TestElement` | `createTestElement()` Makes MailerVisualizer storable.
`String` | `getAttributesTitle()` Returns a String for the title of the attributes-panel as set up in the properties-file using the lookup-constant "mailer_attributes_panel".
`JPanel` | `getControlPanel()`
`String` | `getLabelResource()` Get the component's resource name, which getStaticLabel uses to derive the component's label in the local language.
`void` | `modifyTestElement(TestElement c)` GUI components are responsible for populating TestElements they create with the data currently held in the GUI components.
`void` | `stateChanged(ChangeEvent e)` Invoked when the target of the listener has changed its state.
`String` | `toString()`

Methods inherited from class org.apache.jmeter.visualizers.gui.AbstractVisualizer
`clearGui, configureTestElement, getErrorLoggingCheckbox, getFile, getFilePanel, getModel, isStats, makeTitlePanel, setFile, setModel`

Methods inherited from class org.apache.jmeter.visualizers.gui.AbstractListenerGui
`createPopupMenu, getMenuCategories`

Methods inherited from class org.apache.jmeter.gui.AbstractJMeterGuiComponent
`configureTestElement, createTitleLabel, getComment, getDocAnchor, getName, getNamePanel, getNode, getPrintableComponent, getStaticLabel, isEnabled, makeBorder, makeScrollPane, makeScrollPane, setComment, setEnabled, setName, setNode`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setSize, setSize, show, show, size, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MailerVisualizer

    public MailerVisualizer()

  Constructs the MailerVisualizer and initializes its GUI.

Method Detail

### getControlPanel

    public JPanel getControlPanel()

### clearData

    public void clearData()

  Clears any stored sampling-informations.

  Specified by:
    `clearData` in interface `Clearable`

### add

    public void add(SampleResult res)

  Description copied from interface: `Visualizer`
  This method is called by sampling thread to inform the visualizer about the arrival of a new sample.

  Specified by:
    `add` in interface `Visualizer`

### toString

    public String toString()

### getLabelResource

    public String getLabelResource()

  Description copied from interface: `JMeterGUIComponent`
  Get the component's resource name, which getStaticLabel uses to derive the component's label in the local language. The resource name is fixed, and does not vary with the selected language. Normally this method should be overriden in preference to overriding getStaticLabel(). However where the resource name is not available or required, getStaticLabel() may be overridden instead.

  Specified by:
    `getLabelResource` in interface `JMeterGUIComponent`
  Returns:
    the resource name

### getAttributesTitle

    public String getAttributesTitle()

  Returns a String for the title of the attributes-panel as set up in the properties-file using the lookup-constant "mailer_attributes_panel".

  Returns:
    The title of the component.

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Reacts on an ActionEvent (like pressing a button).

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Parameters:
    `e` - The ActionEvent with information about the event and its source.

### configure

    public void configure(TestElement el)

  Restores MailerVisualizer.

  Specified by:
    `configure` in interface `JMeterGUIComponent`
  Overrides:
    `configure` in class `AbstractVisualizer`

### createTestElement

    public TestElement createTestElement()

  Makes MailerVisualizer storable.

  Specified by:
    `createTestElement` in interface `JMeterGUIComponent`
  Overrides:
    `createTestElement` in class `AbstractVisualizer`

### modifyTestElement

    public void modifyTestElement(TestElement c)

  Description copied from interface: `JMeterGUIComponent`
  GUI components are responsible for populating TestElements they create with the data currently held in the GUI components. This method should overwrite whatever data is currently in the TestElement as it is called after a user has filled out the form elements in the gui with new information.

  Specified by:
    `modifyTestElement` in interface `JMeterGUIComponent`
  Overrides:
    `modifyTestElement` in class `AbstractVisualizer`

### stateChanged

    public void stateChanged(ChangeEvent e)

  Description copied from class: `AbstractVisualizer`
  Invoked when the target of the listener has changed its state. This implementation assumes that the target is the FilePanel, and will update the result collector for the new filename.

  Specified by:
    `stateChanged` in interface `ChangeListener`
  Overrides:
    `stateChanged` in class `AbstractVisualizer`
  Parameters:
    `e` - the event that has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.